/*

Copyright (C) 2002-2003, Jeffrey D. Argast.

The authors make NO WARRANTY or representation, either express or implied,
with respect to this software, its quality, accuracy, merchantability, or
fitness for a particular purpose.  This software is provided "AS IS", and you,
its user, assume the entire risk as to its quality and accuracy.

Permission is hereby granted to use, copy, modify, and distribute this
software or portions thereof for any purpose, without fee, subject to these
conditions:

(1) If any part of the source code is distributed, then this
statement must be included, with this copyright and no-warranty notice
unaltered.

(2) Permission for use of this software is granted only if the user accepts
full responsibility for any undesirable consequences; the authors accept
NO LIABILITY for damages of any kind.

*/

#import <AppKit/AppKit.h>
 

@interface PerforceConfiguration : NSObject <NSCopying, NSCoding>
{
	NSString*	fConfigurationName;
	
	NSString*	fPerforcePort;
	NSString*	fPerforceHost;
	NSString*	fPerforceUser;
	NSString*	fPerforceClient;
	NSString*	fPerforcePasswd;
	BOOL		fUnicodeServer;
}


- (id) initWithName:(NSString*) name
	   perforcePort:(NSString*) perforcePort
	   perforceHost:(NSString*) perforceHost
	   perforceUser:(NSString*) perforceUser
	   perforceClient:(NSString*) perforceClient
	   perforcePasswd:(NSString*) perforcePasswd
	   unicodeServer:(BOOL) unicodeServer; 
// initialize a configuration with the above parameters

- (NSString*) configurationName;
- (NSString*) perforcePort;
- (NSString*) perforceHost;
- (NSString*) perforceUser;
- (NSString*) perforceClient;
- (NSString*) perforcePasswd;
- (BOOL) unicodeServer;

- (void) setConfigurationName:(NSString*)newName;
- (void) setPerforcePort:(NSString*)newPort;
- (void) setPerforceHost:(NSString*)newHost;
- (void) setPerforceUser:(NSString*)newUser;
- (void) setPerforceClient:(NSString*)newClient;
- (void) setPerforcePasswd:(NSString*)newPasswd;
- (void) setUnicodeServer:(BOOL)unicodeServer;

@end
