/*

Copyright (C) 2002-2003, Jeffrey D. Argast.

The authors make NO WARRANTY or representation, either express or implied,
with respect to this software, its quality, accuracy, merchantability, or
fitness for a particular purpose.  This software is provided "AS IS", and you,
its user, assume the entire risk as to its quality and accuracy.

Permission is hereby granted to use, copy, modify, and distribute this
software or portions thereof for any purpose, without fee, subject to these
conditions:

(1) If any part of the source code is distributed, then this
statement must be included, with this copyright and no-warranty notice
unaltered.

(2) Permission for use of this software is granted only if the user accepts
full responsibility for any undesirable consequences; the authors accept
NO LIABILITY for damages of any kind.

*/

#import "IconController.h"

@implementation IconController

+ (IconController*) defaultIconController
{
    static IconController* gIconController = nil;
    
    if ( !gIconController )
    {
        gIconController = [[IconController alloc] init];
    }
    
    return gIconController;
}

- (id) init
{
    self = [super init];
    
    fIcons = [[NSMutableArray alloc] init];
    
    [fIcons addObject:[NSImage imageNamed:@"DirIcon"]];
    [fIcons addObject:[NSImage imageNamed:@"DirNibIcon"]];
    [fIcons addObject:[NSImage imageNamed:@"DirPBIcon"]];
    [fIcons addObject:[NSImage imageNamed:@"DirXCodeIcon"]];
    [fIcons addObject:[NSImage imageNamed:@"LocalDepotIcon"]];
    [fIcons addObject:[NSImage imageNamed:@"RemoteDepotIcon"]];
    
    [fIcons addObject:[NSImage imageNamed:@"HaveFileIcon"]];
    [fIcons addObject:[NSImage imageNamed:@"HaveFileOurLockIcon"]];
    [fIcons addObject:[NSImage imageNamed:@"HaveFileDeleteIcon"]];
    [fIcons addObject:[NSImage imageNamed:@"HaveFileOtherLockIcon"]];
    [fIcons addObject:[NSImage imageNamed:@"HaveFileBothLockIcon"]];
    [fIcons addObject:[NSImage imageNamed:@"HaveFileOtherDeleteIcon"]];
    [fIcons addObject:[NSImage imageNamed:@"HaveFileOurLockOtherDeleteIcon"]];
    [fIcons addObject:[NSImage imageNamed:@"HaveFileBothDeleteIcon"]];
    [fIcons addObject:[NSImage imageNamed:@"HaveFileOurDeleteOtherLockIcon"]];
    
    [fIcons addObject:[NSImage imageNamed:@"OldFileIcon"]];
    [fIcons addObject:[NSImage imageNamed:@"OldFileOurLockIcon"]];
    [fIcons addObject:[NSImage imageNamed:@"OldFileDeleteIcon"]];
    [fIcons addObject:[NSImage imageNamed:@"OldFileOtherLockIcon"]];
    [fIcons addObject:[NSImage imageNamed:@"OldFileBothLockIcon"]];
    [fIcons addObject:[NSImage imageNamed:@"OldFileOtherDeleteIcon"]];
    [fIcons addObject:[NSImage imageNamed:@"OldFileOurLockOtherDeleteIcon"]];
    [fIcons addObject:[NSImage imageNamed:@"OldFileBothDeleteIcon"]];
    [fIcons addObject:[NSImage imageNamed:@"OldFileOurDeleteOtherLockIcon"]];
    
    [fIcons addObject:[NSImage imageNamed:@"MissingFileIcon"]];
    [fIcons addObject:[NSImage imageNamed:@"MissingFileOtherLockIcon"]];
    [fIcons addObject:[NSImage imageNamed:@"MissingFileOtherDeleteIcon"]];
    [fIcons addObject:[NSImage imageNamed:@"NoSuchFileIcon"]];
    [fIcons addObject:[NSImage imageNamed:@"AddFileIcon"]];
    
    [fIcons addObject:[NSImage imageNamed:@"ClientPendingChangesIcon"]];
    [fIcons addObject:[NSImage imageNamed:@"ClientChangeIcon"]];
    [fIcons addObject:[NSImage imageNamed:@"ClientAddIcon"]];
    [fIcons addObject:[NSImage imageNamed:@"ClientDeleteIcon"]];
    [fIcons addObject:[NSImage imageNamed:@"ClientEditIcon"]];

    [fIcons addObject:[NSImage imageNamed:@"OtherPendingChangesIcon"]];
    [fIcons addObject:[NSImage imageNamed:@"OtherChangeIcon"]];
    [fIcons addObject:[NSImage imageNamed:@"OtherAddIcon"]];
    [fIcons addObject:[NSImage imageNamed:@"OtherDeleteIcon"]];
    [fIcons addObject:[NSImage imageNamed:@"OtherEditIcon"]];
    
    [fIcons addObject:[NSImage imageNamed:@"SubmittedChangeIcon"]];
    [fIcons addObject:[NSImage imageNamed:@"BranchesIcon"]];
    [fIcons addObject:[NSImage imageNamed:@"ClientsIcon"]];
    [fIcons addObject:[NSImage imageNamed:@"LabelsIcon"]];
    [fIcons addObject:[NSImage imageNamed:@"UsersIcon"]];
    [fIcons addObject:[NSImage imageNamed:@"JobsIcon"]];

    [fIcons addObject:[NSImage imageNamed:@"SortingUpArrowIcon"]];
    [fIcons addObject:[NSImage imageNamed:@"SortingDownArrowIcon"]];

    return self;
}

- (void) dealloc
{
    [fIcons release];
	
	[super dealloc];
}

- (NSImage*) getIcon: (int) iconIndex
{
    return [fIcons objectAtIndex:iconIndex];
}

@end










