/*

Copyright (C) 2002-2003, Jeffrey D. Argast.

The authors make NO WARRANTY or representation, either express or implied,
with respect to this software, its quality, accuracy, merchantability, or
fitness for a particular purpose.  This software is provided "AS IS", and you,
its user, assume the entire risk as to its quality and accuracy.

Permission is hereby granted to use, copy, modify, and distribute this
software or portions thereof for any purpose, without fee, subject to these
conditions:

(1) If any part of the source code is distributed, then this
statement must be included, with this copyright and no-warranty notice
unaltered.

(2) Permission for use of this software is granted only if the user accepts
full responsibility for any undesirable consequences; the authors accept
NO LIABILITY for damages of any kind.

*/

#import <Foundation/Foundation.h>

@class PerforceConfigurationsList;

@interface AppDefaults : NSObject 
{
	PerforceConfigurationsList*	fConfigurations;
    
    NSString*	fDiffApp;
    NSString*	fEditApp;
    NSString*	fMergeApp;
    
    BOOL		fShowEntireDepot;
    BOOL		fShowDeletedFiles;
	BOOL		fShowLocalFiles;
	
	NSString*	fNumChanges;
}

+ (void) initialize;

+ (AppDefaults*) defaultAppDefaults;


// sets the P4* environment vars to the defaults
- (void) setEnvVars;


- (NSString*) getPerforceUser;

- (NSString*) getPerforceClient;

- (NSString*) getDiffApp;

- (NSString*) getEditApp;

- (NSString*) getMergeApp;

- (BOOL) getShowEntireDepot;

- (BOOL) getShowDeletedFiles;

- (BOOL) getShowLocalFiles;

- (NSString*) getNumChangesToFetch;

- (PerforceConfigurationsList*) getConfigurations;


- (void) setPerforceUser: (NSString*) perforceUser;

- (void) setPerforceClient: (NSString*) perforceClient;

- (void) setDiffApp: (NSString*) diffApp;

- (void) setEditApp: (NSString*) editApp;

- (void) setMergeApp: (NSString*) mergeApp;

- (void) setShowEntireDepot: (BOOL) showEntireDepot;

- (void) setShowDeletedFiles: (BOOL) showDeletedFiles;

- (void) setShowLocalFiles: (BOOL) showLocalFiles;

- (void) setNumChangesToFetch: (NSString*) numChanges;

- (void) setConfigurations: (PerforceConfigurationsList*) newConfigurations;

- (void) setActiveConfiguration: (NSString*) configName;

@end
