/*

Copyright (C) 2002-2003, Jeffrey D. Argast.

The authors make NO WARRANTY or representation, either express or implied,
with respect to this software, its quality, accuracy, merchantability, or
fitness for a particular purpose.  This software is provided "AS IS", and you,
its user, assume the entire risk as to its quality and accuracy.

Permission is hereby granted to use, copy, modify, and distribute this
software or portions thereof for any purpose, without fee, subject to these
conditions:

(1) If any part of the source code is distributed, then this
statement must be included, with this copyright and no-warranty notice
unaltered.

(2) Permission for use of this software is granted only if the user accepts
full responsibility for any undesirable consequences; the authors accept
NO LIABILITY for damages of any kind.

*/

#import "PerforceActionDiff2.h"


@implementation PerforceActionDiff2

+ (void) depotPath1:(NSString*)depotPath1
		 revision1:(NSString*)revision1
		 depotPath2:(NSString*)depotPath2
		 revision2:(NSString*)revision2
{
	PerforceActionDiff2* action = [[[PerforceActionDiff2 alloc] init] autorelease];
	
	[action depotPath1:depotPath1 revision1:revision1 depotPath2:depotPath2 revision2:revision2];

}

- (void) depotPath1:(NSString*)depotPath1
		 revision1:(NSString*)revision1
		 depotPath2:(NSString*)depotPath2
		 revision2:(NSString*)revision2
{
        
	NSMutableString* firstPath = [NSMutableString stringWithString:depotPath1];
	[firstPath appendString:@"#"];
	[firstPath appendString:revision1];
	
	NSMutableString* secondPath = [NSMutableString stringWithString:depotPath2];
	[secondPath appendString:@"#"];	
	[secondPath appendString:revision2];

    NSMutableArray* commandAndArgs = [[[NSMutableArray alloc] init] autorelease];
	
	fOwner    = nil;
	fSelector = nil;

	[commandAndArgs addObject:@"diff2"];
	
	[commandAndArgs addObject:firstPath];
	[commandAndArgs addObject:secondPath];
    
    [self runAction:commandAndArgs stdInString:nil readToEOF:YES];

}

@end
