/*

Copyright (C) 2002-2003, Jeffrey D. Argast.

The authors make NO WARRANTY or representation, either express or implied,
with respect to this software, its quality, accuracy, merchantability, or
fitness for a particular purpose.  This software is provided "AS IS", and you,
its user, assume the entire risk as to its quality and accuracy.

Permission is hereby granted to use, copy, modify, and distribute this
software or portions thereof for any purpose, without fee, subject to these
conditions:

(1) If any part of the source code is distributed, then this
statement must be included, with this copyright and no-warranty notice
unaltered.

(2) Permission for use of this software is granted only if the user accepts
full responsibility for any undesirable consequences; the authors accept
NO LIABILITY for damages of any kind.

*/

#import <Foundation/Foundation.h>
#import "OutlineItem.h"
#import "PendingChangelistProtocol.h"

@class PerforceChangeList;

@interface PerforceChangeFile : NSObject <OutlineItem, PendingChangelistProtocol>
{
    NSString*	fFileName;
    int			fRevision;
    NSString*	fChangeType;
    NSString*	fChangeName;
    NSString*	fFileType;
    NSString*	fUserInfo;
    NSString*	fChangeAndUser;
    BOOL		fIsClientChange;
    
    // We keep this separately, so calls to getChangeName will be faster
    NSString*			fFileNameAndRevision;
    
	PerforceChangeList*	fParent;
    int					fIconID;
}

- (id)  initWithName: (NSString*) fileName
		withRevision: (int) revision
        withFileType: (NSString*) fileType
        withChangeName: (NSString*) changeName
        withChangeType: (NSString*) changeType
        withUserInfo: (NSString*) userInfo
        isClient: (BOOL) isClient;

- (NSString*) getChangeName;

- (NSString*) getUserInfo;

- (NSString*) getChangeAndUser;

- (NSComparisonResult) compare: (PerforceChangeFile*) rhs;

- (BOOL) isClientChange;

- (NSString*) depotFileName;

- (void) setParentChangelist: (PerforceChangeList*) parent;

- (PerforceChangeList*) parentChangelist;

//- (NSString*) clientFileName;

@end
