/*

Copyright (C) 2002-2003, Jeffrey D. Argast.

The authors make NO WARRANTY or representation, either express or implied,
with respect to this software, its quality, accuracy, merchantability, or
fitness for a particular purpose.  This software is provided "AS IS", and you,
its user, assume the entire risk as to its quality and accuracy.

Permission is hereby granted to use, copy, modify, and distribute this
software or portions thereof for any purpose, without fee, subject to these
conditions:

(1) If any part of the source code is distributed, then this
statement must be included, with this copyright and no-warranty notice
unaltered.

(2) Permission for use of this software is granted only if the user accepts
full responsibility for any undesirable consequences; the authors accept
NO LIABILITY for damages of any kind.

*/

#import <Foundation/Foundation.h>
#import "OutlineItem.h"
#import "PendingChangelistProtocol.h"

@interface PerforceChanges : NSObject <OutlineItem, PendingChangelistProtocol>
{
    NSMutableArray*	fChildren;
    NSString*		fChangesName;
	
	NSArray*		fChangesPendingArray; // temporary only
	
    BOOL		fMustGatherChildren;
    BOOL		fClientOnly;

    int			fIconID;
}

// changesName e.g. "Pending Changelists (client 'blah')"
// clientOnly: if YES does p4 opened, if NO does p4 opened -a (ALL)
- (id)	initWithName: (NSString*) changesName
        clientChanges: (BOOL) clientOnly;

// called when the user adds, edits, deletes, or reverts in the current client
- (void) refreshClientData;

@end
