/*

Copyright (C) 2002-2003, Jeffrey D. Argast.

The authors make NO WARRANTY or representation, either express or implied,
with respect to this software, its quality, accuracy, merchantability, or
fitness for a particular purpose.  This software is provided "AS IS", and you,
its user, assume the entire risk as to its quality and accuracy.

Permission is hereby granted to use, copy, modify, and distribute this
software or portions thereof for any purpose, without fee, subject to these
conditions:

(1) If any part of the source code is distributed, then this
statement must be included, with this copyright and no-warranty notice
unaltered.

(2) Permission for use of this software is granted only if the user accepts
full responsibility for any undesirable consequences; the authors accept
NO LIABILITY for damages of any kind.

*/

#import <Cocoa/Cocoa.h>
#import "OutlineItem.h"
#import "DepotViewProtocol.h"

@interface PerforceDirectory : NSObject <OutlineItem, DepotViewProtocol>
{
	NSMutableArray*			fDirChildren;
	NSArray*				fFileChildren;
	NSArray*				fTempLocalFiles;
	NSArray*				fTempFstatFiles;
	
    NSString*				fName;
    NSString*				fDepotPath;
	NSString*				fClientPath; // Not valid unless p4 where has been called
		
	NSImage*				fIcon;
	
	BOOL					fShouldBuildChildren;
	BOOL					fExpandAfterBuilding;
	BOOL					fBuildingDirs;
	BOOL					fBuildingFiles;
	BOOL					fBuildingFstatFiles;
	BOOL					fBuildingLocalFiles;
	NSMutableArray*			fExpandPaths;
	
	int						fTotalNumChildren;
	int						fNumFiles;
	int						fNumDirs;
}

+ (PerforceDirectory *) directoryWithPath: (NSString *) fullPath;

- (id) initWithPath: (NSString *) fullPath;

- (NSString*) getName;

// DANGER: should only be called by dirs and the depot controller
- (void) releaseChildren;

@end
