/*

Copyright (C) 2002-2003, Jeffrey D. Argast.

The authors make NO WARRANTY or representation, either express or implied,
with respect to this software, its quality, accuracy, merchantability, or
fitness for a particular purpose.  This software is provided "AS IS", and you,
its user, assume the entire risk as to its quality and accuracy.

Permission is hereby granted to use, copy, modify, and distribute this
software or portions thereof for any purpose, without fee, subject to these
conditions:

(1) If any part of the source code is distributed, then this
statement must be included, with this copyright and no-warranty notice
unaltered.

(2) Permission for use of this software is granted only if the user accepts
full responsibility for any undesirable consequences; the authors accept
NO LIABILITY for damages of any kind.

*/

#import <Foundation/Foundation.h>

@class DepotController;

// The DepotExpander is an autoretaining/autoreleasing object that
// spawns a p4 where and then expands the depot after p4 where is
// complete.  A client can fire off many DepotExpanders at the same
// time and they won't interfere with each other.  
// Of course, this relies on the DepotContoller itself handling
// multiple expand requests.
@interface DepotExpander : NSObject 
{
	NSString*			fDepotPath;
	DepotController*	fDepotController;
	BOOL				fUseWhere;
}

+ (void) expandPath:(NSString*)depotPath depot:(DepotController*)depot usep4Where:(BOOL)usep4Where;

- (id) initWithPath:(NSString*)depotPath depot:(DepotController*)depot usep4Where:(BOOL)usep4Where;

- (void) expand;

@end
